# DataExchange
TKXCAF
XCAFPrs

# XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle Class Reference

`#include <XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle ()
Standard_EXPORT | XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle (const XCAFPrs_DataMapOfShapeStyle &aMap)
Standard_EXPORT void | Initialize (const XCAFPrs_DataMapOfShapeStyle &aMap)
Standard_EXPORT const TopoDS_Shape & | Key () const
Standard_EXPORT const XCAFPrs_Style & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle::XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle | ( |  | ) |

Standard_EXPORT XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle::XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle | ( | const XCAFPrs_DataMapOfShapeStyle & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle::Initialize | ( | const XCAFPrs_DataMapOfShapeStyle & | aMap | ) |

Standard_EXPORT const TopoDS_Shape& XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle::Key | ( |  | ) | const

void XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle::operator new | ( | size_t | size | ) | `[inline]`

void* XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const XCAFPrs_Style& XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- XCAFPrs_DataMapIteratorOfDataMapOfShapeStyle.hxx